"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var RoundButton = (function (_super) {
    __extends(RoundButton, _super);
    function RoundButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RoundButton.prototype.render = function () {
        var _a = this.props, color = _a.color, diameter = _a.diameter, disabled = _a.disabled, float = _a.float, label = _a.label, margin = _a.margin;
        var defaultStyles = {
            borderRadius: '100%'
        };
        var buttonStyles = __assign({ float: float, height: diameter, margin: margin, width: diameter, background: color }, defaultStyles, { border: 'none' });
        var ring1 = __assign({ float: float, width: '98%', height: '98%', margin: '1%', background: '#FC0' }, defaultStyles);
        var ring2 = __assign({ float: float, width: '90%', height: '90%', margin: '5%', background: '#0e99ff' }, defaultStyles);
        var ring3 = __assign({ float: float, width: '98%', height: '98%', margin: '1%', background: '#ff5a2c' }, defaultStyles);
        var ring4 = __assign({ float: float, width: '94%', height: '94%', margin: '3%', background: '#7953ff' }, defaultStyles, { color: 'FFF' });
        return (React.createElement("button", { className: "round-button", disabled: disabled, style: buttonStyles },
            React.createElement("div", { style: ring1 },
                React.createElement("div", { style: ring2 },
                    React.createElement("div", { style: ring3 },
                        React.createElement("div", { style: ring4 }, label))))));
    };
    return RoundButton;
}(React.Component));
exports.default = RoundButton;
